# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::PrintInterface Class Reference

This is an interface to printing functions of a Document. More...

`#include <printinterface.h>`

List of all members.

## Public Member Functions

unsigned int | printInterfaceNumber () const
virtual bool | printDialog ()=0
virtual bool | print ()=0

## Protected Member Functions

void | setPrintInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivatePrintInterface

## Detailed Description

This is an interface to printing functions of a Document.

Definition at line 33 of file printinterface.h.

The documentation for this class was generated from the following files:

- printinterface.h
- printinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003